=== debian/changelog ===
biblesync (1.1.2-1) unstable; urgency=medium

  [ Unit 193 ]
  * Initial release. (Closes: #799011)

 -- Daniel Glassey <wdg@debian.org>  Mon, 14 Sep 2015 23:44:59 +0100
