=== debian/control ===
Source: biblesync
Priority: optional
Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>,
 Roberto C. Sanchez <roberto@connexer.com>,
 Unit 193 <unit193@ubuntu.com>
Build-Depends: debhelper (>= 9), cmake, uuid-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/karlkleinpaste/biblesync
Vcs-Git: git://anonscm.debian.org/pkg-crosswire/biblesync.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/biblesync.git/

Package: libbiblesync-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libbiblesync1.1 (= ${binary:Version}), ${misc:Depends}
Description: multicast protocol to support Bible co-navigation (development files)
 This is a C++ single class library encapsulating a protocol conduit.  The
 premise is that there is a local network over which to multicast Bible
 navigation, and someone, possibly several someones, will transmit, and
 others will receive.  The choices for when you decide to xmit and what to
 do when you recv are up to you as the application designer.
 .
 This package contains the development files.

Package: libbiblesync1.1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multicast protocol to support Bible co-navigation
 This is a C++ single class library encapsulating a protocol conduit.  The
 premise is that there is a local network over which to multicast Bible
 navigation, and someone, possibly several someones, will transmit, and
 others will receive.  The choices for when you decide to xmit and what to
 do when you recv are up to you as the application designer.
 .
 This package contains the shared library.
