## biblesync 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # - INCLUDEDIR (default "CMAKE_INSTALL_PREFIX/include") - set to directory where header files should be installed
 # - BIBLESYNC_SOVERSION (defaults to BIBLESYNC_VERSION) - Manually set the SOVERSION of the installed file
 PROJECT(libbiblesync CXX)
-SET(BIBLESYNC_VERSION 1.1.2)
+SET(BIBLESYNC_VERSION 1.2.0)
 # A required CMake line
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 # Where our custom Find* files are located
@@ -94,7 +94,7 @@
 # End of copy from Sword's code
 ##########################################################################################
 
-# Set the SOVERSION of the package, for binary compatability tracking
+# Set the SOVERSION of the package, for binary compatibility tracking
 INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/soversion.cmake")
 
 # Set the variables in the .in file
