=== debian/changelog ===
biblesync (1.2.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:42 +0100

biblesync (1.2.0-1) unstable; urgency=high

  * d/docs: updated readme
  * d/watch: updated for github
  * new upstream version 1.2.0

 -- Teus Benschop <teusjannette@gmail.com>  Fri, 09 Nov 2018 10:09:30 +0100

biblesync (1.1.2-5) unstable; urgency=high

  * dh_missing fail-missing
  * install man file

 -- Teus Benschop <teusjannette@gmail.com>  Thu, 01 Nov 2018 08:33:13 +0100

biblesync (1.1.2-4) unstable; urgency=high

  * debian/control: Build-Depends update
  * debian/control: updated Uploaders

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 07 Oct 2018 16:15:44 +0200

biblesync (1.1.2-3) unstable; urgency=medium

  * debian/control: Standards-Version updated
  * debian/compat: 10

 -- Teus Benschop <teusjannette@gmail.com>  Sun, 07 Oct 2018 16:02:18 +0200

biblesync (1.1.2-2) unstable; urgency=high

  [ Dominique Corbex ]
  lintian cleanup:
  * Bump Standards-Version to 3.9.8
  * Change Vcs-Git to https

  [ Teus Benschop ]
  * debian/control: Updated maintainer email: Closes: #899762
  * debian/control: Updated Vcs-* for Salsa

 -- Teus Benschop <teusjannette@gmail.com>  Tue, 02 Oct 2018 13:01:22 +0200
