=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: biblesync
 Priority: optional
-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Roberto C. Sanchez <roberto@connexer.com>,
- Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 9), cmake, uuid-dev
-Standards-Version: 3.9.6
+ Unit 193 <unit193@ubuntu.com>,
+ Dominique Corbex <dominique@corbex.org>,
+ Teus Benschop <teusjannette@gmail.com>
+Build-Depends: debhelper (>= 10), cmake, uuid-dev
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/karlkleinpaste/biblesync
-Vcs-Git: git://anonscm.debian.org/pkg-crosswire/biblesync.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/biblesync.git/
+Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/biblesync
+Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/biblesync.git
 
 Package: libbiblesync-dev
 Section: libdevel
