=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,14 @@
 	-DBUILD_SHARED_LIBS=TRUE
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V 'libbiblesync1.1 (>> 1.1.2-0)'
+
+override_dh_missing:
+	dh_missing --fail-missing
+
