## biblesync 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # - INCLUDEDIR (default "CMAKE_INSTALL_PREFIX/include") - set to directory where header files should be installed
 # - BIBLESYNC_SOVERSION (defaults to BIBLESYNC_VERSION) - Manually set the SOVERSION of the installed file
 PROJECT(libbiblesync CXX)
-SET(BIBLESYNC_VERSION 1.2.0)
+SET(BIBLESYNC_VERSION 2.1.0)
 # A required CMake line
 CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
 # Where our custom Find* files are located
