=== debian/changelog ===
biblesync (2.1.0-3) unstable; urgency=medium

  * Team upload
  * Override minimum CMake version (Closes: #1112725)

 -- Bastian Germann <bage@debian.org>  Mon, 01 Sep 2025 11:40:55 +0200

biblesync (2.1.0-2) unstable; urgency=medium

  * Team upload
  * d/watch: Scan GitHub tags

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 16:19:21 +0100

biblesync (2.1.0-1) unstable; urgency=medium

  * Team upload

  [ Daniel Glassey ]
  * d/control remove Unit 193 from uploaders on his request

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Bastian Germann ]
  * d/watch: Update version
  * New upstream version 2.1.0
  * Remove unnecessary overrides

 -- Teus Benschop <teusbenschop@debian.org>  Wed, 20 Jan 2021 07:26:18 +0100
