=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Maintainer: CrossWire Packaging Team <pkg-crosswire-devel@alioth-lists.debian.net>
 Uploaders: Daniel Glassey <wdg@debian.org>,
  Roberto C. Sanchez <roberto@connexer.com>,
- Unit 193 <unit193@ubuntu.com>,
  Dominique Corbex <dominique@corbex.org>,
  Teus Benschop <teusjannette@gmail.com>
-Build-Depends: debhelper (>= 10), cmake, uuid-dev
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13), cmake, uuid-dev
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/karlkleinpaste/biblesync
 Vcs-Browser: https://salsa.debian.org/pkg-crosswire-team/biblesync
 Vcs-Git: https://salsa.debian.org/pkg-crosswire-team/biblesync.git
+Rules-Requires-Root: no
 
 Package: libbiblesync-dev
 Section: libdevel
