=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 %:
@@ -18,18 +17,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 	-DBIBLESYNC_SOVERSION=1.1 \
 	-DBUILD_SHARED_LIBS=TRUE
 
-override_dh_install:
-	dh_install
-
-override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V 'libbiblesync1.1 (>> 1.1.2-0)'
-
-override_dh_missing:
-	dh_missing --fail-missing
-
