=== debian/watch ===
version=4
https://github.com/karlkleinpaste/biblesync/tags .*/([\d\.]+)\.tar\.gz
